Get the latest auto-discovery invocation for a blueprint
GET/v1/ai/entities-auto-discovery/blueprint/:blueprint_identifier/latest
This route allows you to get the latest auto-discovery invocation for a blueprint.
To learn more about the auto-discovery feature, see the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "blueprint_identifier",
"required": true
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 404
- 500
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"invocationId": {
"type": "string",
"description": "The ID of the auto-discovery invocation."
},
"status": {
"type": "string",
"enum": [
"in_progress",
"pending_review",
"completed",
"failed",
"waiting"
],
"description": "The status of the latest auto-discovery invocation for the blueprint."
},
"generatedCount": {
"description": "The number of entities generated by the latest auto-discovery invocation for the blueprint.",
"type": "number"
},
"pendingReviewCount": {
"type": "number",
"description": "The number of suggestions waiting for review in the latest auto-discovery invocation for the blueprint."
},
"errorMessage": {
"description": "The error message of the latest auto-discovery invocation for the blueprint, if failed.",
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"ok",
"invocationId",
"status",
"pendingReviewCount",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}